> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User History

> Deletes the conversation history for a specific user from both checkpoint tables.

Args:
    request: Contains user_id to delete

Returns:
    DeleteHistoryResponse: Results of the deletion operation for both tables



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json delete /api/v1/eai-gateway/history
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/eai-gateway/history:
    delete:
      tags:
        - EAI Gateway
      summary: Delete User History
      description: >-
        Deletes the conversation history for a specific user from both
        checkpoint tables.


        Args:
            request: Contains user_id to delete

        Returns:
            DeleteHistoryResponse: Results of the deletion operation for both tables
      operationId: delete_user_history_api_v1_eai_gateway_history_delete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteHistoryRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteHistoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteHistoryRequest:
      properties:
        user_id:
          type: string
          title: User Id
      type: object
      required:
        - user_id
      title: DeleteHistoryRequest
    DeleteHistoryResponse:
      properties:
        thread_id:
          type: string
          title: Thread Id
        overall_result:
          type: string
          title: Overall Result
        tables:
          additionalProperties:
            additionalProperties: true
            type: object
          type: object
          title: Tables
      type: object
      required:
        - thread_id
        - overall_result
        - tables
      title: DeleteHistoryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````